/**************************************************************************************************************
  
***************************************************************************************************************/

long getfilesize(FILE *hfile) {
  long filesize = 0;
  if(!fseek(hfile, 0, SEEK_END)) {
    filesize = ftell(hfile);
    fseek(hfile, 0, SEEK_SET);
  }
  else {
    printf("Can't read file INI\n");
    _getch();
    exit(1);
  }
  return(filesize);
}


/**************************************************************************************************************
          
***************************************************************************************************************/

char* readinifile(char *filename, int argc, char* argv[]) {
  long filesize = 0;
  char *buf = NULL;
  FILE *pfile = NULL;  
  switch(argc) {
    case 1: //      
      pfile = fopen(filename, "r"); 
      if(pfile == NULL) {
        printf("File INI not find\n");
        _getch();
        exit(1);
      }
      break;
    case 2: //     
      pfile = fopen(argv[1], "r"); 
      if(pfile == NULL) {
        printf("File INI not find\n");
        _getch();
        exit(1);
      }
      break;
    default:
      printf("Command line has error\n");
      _getch();
      exit(1);
  } // switch(args)
  filesize = getfilesize(pfile);
  buf = malloc(filesize);   //buf[0] = '\0';
  fread(buf, sizeof( char ), filesize , pfile);
  fclose(pfile);
  return(buf);
}

/**************************************************************************************************************
    ,    =  ;
***************************************************************************************************************/
void getparam(char par[][128], char *buf, int npar) {
  char *p, *pn;
  int i = 0; 
	p = buf;
	for(i=0;i<npar;i++) {
  	pn = strstr(++p,"=");
    p  = strstr(++pn,";");
    par[i][0] = '\0';
    strncat(par[i], pn, p-pn);
  }// while 
 free(buf); // return(i);
} //fun workstring

